Subject: Re: Question regarding MAC Withdrawal in H-VPLS Dual-homed MTU-s

From: [email-masked]
Date: Wed, 4 Oct 2006 17:07:32 -0400

Marc,

> I do not see how the primary PE-rs can be aware that the secondary PW has

> been made active, since the PW between the MTU-s and the primary PE-rs is
no
> longer available and no protocol is defined to convey such information.
The
> only option possible is for the MTU-s to trigger the MAC withdrawal
towards
> it secondary PE-rs once the secondary PW has been made active.

In most protocols which allow a standby link, both sides of the standby
link are aware that it's been
pressed into service. My suggestion was this being the case, the PE-rs
needs no help from the
MTU-s in generating a MAC Withdraw. Also isn't it possible there may be no
PW between the
MTU-s and PE-rs, as with QinQ? Perhaps you have a different solution in
mind than I do, but that's
the result of a partially specified mechanism -- it's tough to see
supporting protocols the same
way without a shared understanding of how the whole thing works.

> Since the MTU is responsible for activating its secondary link, it is a
> local decision to the MTU to decide how a failure is detected and acted
> upon. No new protocol for VPLS has been specified for failure detection.
As
> I said before, the means and how fast it takes to detect failures can be
> based upon different mechanisms (e.g. physical loss of signal, BFD, STP,
> loss of IGP/LDP adjacency), each with their respective failure detection
> times. A similar sentence could be added to the draft if it helps.
Vendors
> can decide to implement any of such methods and hence provide product
> differentiation.

Essentially this says that MTU-s and PE-rs must always be from the same
vendor, and that dual-homing
characteristics are unpredictable and implementation-dependent. Yet, the
standard provide a component
to help it out. Perhaps there is history behind this reasoning I am unaware
of, but it seems limiting.

Regards,
Anil

                    "Marc                                                                                          
                    Lasserre"            To:     <[email-masked]>                                                
                    <marc@riversto       cc:     "Asaf Henig" <[email-masked]>, <[email-masked]>, "Dutta, Pranjal" 
                    nenet.com>            <[email-masked]>, "Ali Sajassi \(sajassi\)"                    
                                          <[email-masked]>                                                      
                    10/04/2006           Subject:     Re: Question regarding MAC Withdrawal in H-VPLS Dual-homed   
                    04:30 PM              MTU-s                                                                    

>
>> It is option B as already mentioned by Ali and Pranjal.
>
> As already explained by Asaf and I, that may not be the correct option.

I do not see how the primary PE-rs can be aware that the secondary PW has
been made active, since the PW between the MTU-s and the primary PE-rs is
no
longer available and no protocol is defined to convey such information. The

only option possible is for the MTU-s to trigger the MAC withdrawal towards

it secondary PE-rs once the secondary PW has been made active.

>
>> See my answer in my previous email regarding dual homing
>> & failure detection.
>
> Your answer does not address the issues raised by Max and I. Please see
> those emails again and try to address each technical issue and point
> raised.

Since the MTU is responsible for activating its secondary link, it is a
local decision to the MTU to decide how a failure is detected and acted
upon. No new protocol for VPLS has been specified for failure detection. As

I said before, the means and how fast it takes to detect failures can be
based upon different mechanisms (e.g. physical loss of signal, BFD, STP,
loss of IGP/LDP adjacency), each with their respective failure detection
times. A similar sentence could be added to the draft if it helps.  Vendors

can decide to implement any of such methods and hence provide product
differentiation.

>
> This being an IETF working group, we collectively make decisions based on
> consensus of working group members. The writers don't get to make
> arbitrary
> calls without technical discussion and agreement with other members and
> vendors based on their experience.

I think that I am aware of that... First of all, I have not made any
arbitrary calls. Secondly, I am open to discussing any technical matters.
All the different revisions of the draft have been based on WG feedback so
far.

>
> Thanks,
> Anil
>
>
>
>
>                    "Marc
>                    Lasserre"            To:     "Asaf Henig"
> <[email-masked]>, <[email-masked]>
>                    <marc@riversto       cc:     <[email-masked]>, "Ali
> Sajassi \(sajassi\)" <[email-masked]>,
>                    nenet.com>            "Dutta, Pranjal"
> <[email-masked]>
>                                         Subject:     Re: Question
> regarding MAC Withdrawal in H-VPLS Dual-homed
>                    10/04/2006            MTU-s
>                    12:30 PM
>
>
>
>
>
>
> It is option B as already mentioned by Ali and Pranjal.
> See my answer in my previous email regarding dual homing & failure
> detection.
>
> Cheers,
>
> Marc
> ----- Original Message -----
> From: <[email-masked]>
> To: "Asaf Henig" <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Wednesday, October 04, 2006 3:51 PM
> Subject: Re: Question regarding MAC Withdrawal in H-VPLS Dual-homed MTU-s
>
>
>>
>> I would think (A), since MAC Withdraw is used by a member of the VPLS
> mesh
>> to notify its neighbors of a change in topology -- except that the MW
>> should be sent only after switching over to the standby VC. The PE-rs
>> should be just as aware of the switchover as the MTU-s.
>>
>> The larger ambiguity here (in my opinion) is the lack of specification
>> around just how H-VPLS dual homing works, i.e, how the failure is
> detected
>> and what the time limits are for that detection and subsequent recovery.
>> That part is currently implementation-dependent.
>>
>> Regards,
>> Anil
>>
>>
>>
>>
>>
>>                    "Asaf Henig"
>>                    <[email-masked]       To:     <[email-masked]>,
>> <[email-masked]>, <[email-masked]>
>>                    m>                   cc:
>>                                         Subject:     Question regarding
>> MAC Withdrawal in H-VPLS Dual-homed MTU-s
>>                    09/26/2006
>>                    04:11 AM
>>
>>
>>
>>
>>
>>
>> It is yet unclear from draft
>> http://www.ietf.org/internet-drafts/draft-ietf-l2vpn-vpls-ldp-09.txt who
>> is
>> responsible to send the MAC Withdrawal message to the secondary PE-rs
> when
>> fail-over occures in an H-VPLS dual homed MTU-s scenario.
>>
>> It is known that when a primary VC fails in a dual-homing scenario the
>> PE-rs connected to the secondary VC should relearn the MAC addresses
>> behind
>> the MTU-s. In order to make this process faster this "secondary" PE-rs
>> should flush the relevant previously learned MAC addresses. For that to
>> happen we have two options:
>>
>> A) The primary PE-rs would send the MAC Withdrawal message to the
>> secondary
>> PE-rs (and all other PE-s) the minute it recognizes that its VC has
>> failed.
>> B) The MTU-s itself would send the MAC Withdrawal to the secondary PE-rs
>> the minute it switches from primary to secondary VC. The secondary PE-rs
>> would be responsible to propegate this message to all other PEs in the
>> VPLS
>> domain (this option is recommended by
>> draft-pdutta-l2vpn-vpls-ldp-mac-opt-00.txt).
>>
>> Which option is preferred  ?
>>
>>
>> Thanks for any help.
>> Asaf Henig
>> MRV communications
>>
>>
>>
>>
>>
>
>
>
>
>

---

From: "Marc Lasserre" <[email-masked]>
Date: Wed, 4 Oct 2006 23:29:15 +0200

> way without a shared understanding of how the whole thing works.

In the original question asked, the question was about whether the primary 
PE could generate the MW.
In this case, the backup link between the MTU and the secondary PE is 
unknown to the primary PE. This is valid for both PW and QinQ links. The MW 
message is sent when the secondary link becomes active with PW and when the 
port is unblocked with QinQ.

> of, but it seems limiting.

No, it does not imply that both MTU and PE devices be from the same vendor. 
It implies that one or more protocols be used between them. Such protocols 
are standard protocols. Only the ones supported by both could obvously be 
used. As far as performance is concerned , there would be as good and 
predictable as what the selected protocol can support to detect failures. If 
IGP/LDP or STP were to be used, detection time would be in the order of tens 
of seconds, with RSTP in the order of seconds and with BFD in the order of 
tens of msec.

Cheers,
Marc

>                    <marc@riversto       cc:     "Asaf Henig" 
> <[email-masked]>, <[email-masked]>, "Dutta, Pranjal"
>                    10/04/2006           Subject:     Re: Question